[alpine-aports] [PATCH] testing/gdal: requested review changes

Trevor R.H. Clarke
Details
Message ID
<1457706076-81694-1-git-send-email-trevor@notcows.com>
Sender timestamp
1457706076
DKIM signature
missing
Download raw message
Patch: +5 -15
http://gdal.org
a translator library for raster and vector geospatial data formats
---
 testing/gdal/APKBUILD | 20 +++++---------------
 1 file changed, 5 insertions(+), 15 deletions(-)

diff --git a/testing/gdal/APKBUILD b/testing/gdal/APKBUILD
index 4f3cd5d..bb3189d 100644
--- a/testing/gdal/APKBUILD
+++ b/testing/gdal/APKBUILD
@@ -9,44 +9,34 @@ arch="x86_64"
 license="MIT"
 depends=""
 depends_dev="gdal"
-depends_py="gdal python"
 makedepends="giflib-dev jpeg-dev libjpeg-turbo-dev libpng-dev tiff-dev zlib-dev swig python-dev"
 install=""
 subpackages="$pkgname-dev $pkgname-doc py-$pkgname:py"
 source="http://download.osgeo.org/$pkgname/$pkgver/$pkgname-$pkgver.tar.xz"
 
 _builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
 
 build() {
 	cd "$_builddir"
 	./configure --prefix=/usr
-	make -j8 || return 1
+	make || return 1
 }
 
 py() {
-        pkgdesc="$pkgname python bindings"                                                                                            
+	pkgdesc="$pkgname python bindings"
 	mkdir -p "$subpkgdir"/usr/lib
 	mkdir -p "$subpkgdir"/usr/bin
 	cd "$_builddir"/swig/python
 	python setup.py build || return 1
 	python setup.py install --prefix=/usr --root="$subpkgdir"
-        chmod a+x scripts/*
-        cp scripts/* $subpkgdir/usr/bin/
+	chmod a+x scripts/*
+	install -m755 scripts/* $subpkgdir/usr/bin/
 }
 
 package() {
 	cd "$_builddir"
 	install -Dm644 LICENSE.TXT "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.TXT
-        make DESTDIR="${pkgdir}" install || return 1                                                                                  
+	make DESTDIR="${pkgdir}" install || return 1
 }
 
 md5sums="940208e737c87d31a90eaae43d0efd65  gdal-2.0.2.tar.xz"
-- 
2.4.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---